Logo etsi

ETSI's Bug Tracker

Notice: information submitted on the ETSI issue Tracker may be incorporated in ETSI publication(s) and therefore subject to the ETSI IPR policy.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007789CDD ASN.1 (TS 102 894-2)Bug Reportpublic28-08-2018 09:3819-03-2019 13:38
Reporterlinla 
Assigned ToLan LIN 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionNext ReleaseFixed in VersionNext Release 
Summary0007789: [LanePosition] inconsistency in data element and ASN.1
DescriptionEmail from Matthew Banks (Codha Wireless) 22 August 2018

In the V1.3.1 version of the CDD (https://www.etsi.org/deliver/etsi_ts/102800_102899/10289402/01.03.01_60/ts_10289402v010301p.pdf [^]) the meaning of ‘lanes’ has changed to be counted from inside (centre) rather than from outside (edge) and this has been reflected in some data elements. However for “A.40 DE_LanePosition”, then description says:
 
ASN.1 representation: LanePosition ::= INTEGER {offTheRoad(-1), innerHardShoulder(0), innermostDrivingLane(1), secondLaneFromInside(2), outterHardShoulder(14) } (-1..14)
Definition: This DE indicates the transversal position information on the road in resolution of lanes, counted from the inside border of the road for a given traffic direction. For example, the innermostDrivingLane corresponds to the left most lane of the carriageway in a country with right-land traffic, and to the right most lane of the carriageway in a left-land traffic (e.g. in UK). The value -1 denotes that the referenced position is outside the road.
 
But the ASN.1 (e.g. from %2Freleases%2FCDD_TS102894-2%2Fv1.3.1%2FITS-Container.asn [^]) is defined:
 
LanePosition::= INTEGER {offTheRoad(-1), hardShoulder(0),
outermostDrivingLane(1), secondLaneFromOutside(2)} (-1..14)
 
So there is confusion about the values for innermostDrivingLane.
 
I presume the ASN.1 is incorrect in this case?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015276)
banksm (reporter)
30-10-2018 11:50

Also note that "outterHardShoulder" should be corrected to "outerHardShoulder"
(0015338)
buburuzan (developer)
19-03-2019 13:38

This fix will be initially be integrated into the errata document of TC ITS as a correction for the version 1.3.1 of CDD document.
------------------------
Resolution: the description in A40 is the right one and the ASN.1 description in annex B shall be corrected accordingly. The version number of the container will not be increased due to this fix.

Note: the solution will not be aligned with DATEX2 definitions.
------------------------

- Issue History
Date Modified Username Field Change
28-08-2018 09:38 linla New Issue
28-08-2018 09:38 linla Status new => assigned
28-08-2018 09:38 linla Assigned To => Alexandre Berge
30-10-2018 11:50 banksm Note Added: 0015276
19-03-2019 13:38 buburuzan Note Added: 0015338
19-03-2019 13:38 buburuzan Status assigned => resolved
19-03-2019 13:38 buburuzan Fixed in Version => Next Release
19-03-2019 13:38 buburuzan Resolution open => fixed
19-03-2019 13:38 buburuzan Assigned To Alexandre Berge => Lan LIN


MantisBT 1.2.14 [^]
Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker